# Generated by Django 3.2.7 on 2021-10-15 20:58

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Business',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('industry', models.CharField(max_length=100)),
                ('creation_date', models.DateField(default=django.utils.timezone.now)),
                ('bank', models.CharField(max_length=100)),
                ('account_number', models.CharField(max_length=20)),
                ('account_type', models.CharField(max_length=100)),
                ('logo', models.ImageField(blank=True, null=True, upload_to='businesses')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
